#ifndef _MATERIAL_H
#define _MATERIAL_H

#include "color.h"

class Material
{
  public:
    Color diffuse;
    Color specular;
    
    double ambient_coefficient;
    double diffuse_coefficient;
    double specular_coefficient;
    double roughness;
    double reflectivity;
    
    Material(double dr, double dg, double db,
             double sr, double sg, double sb,
             double ac, double dc, double sc, double ruff, double ref):
             diffuse(dr, dg, db), specular(sr, sg, sb),
             ambient_coefficient(ac), diffuse_coefficient(dc),
             specular_coefficient(sc), roughness(ruff), reflectivity(ref){}
};

#endif
