#ifndef _PLANE_H
#define _PLANE_H

#include "pixel.h"
#include "ray.h"
#include "material.h"

class Plane
{
  public:
    Ray *normal;
    Vertex *point;
    Material *material;
    int loc;
  
    Plane(double x, double y, double z, double _loc,
          double dr, double dg, double db,
          double sr, double sg, double sb,
          double ac, double dc, double sc, double ruff, double ref);
    ~Plane();
    Vertex *intersects(Ray *ray);
};

#endif
