#ifndef _PPMCONVERTER_H
#define _PPMCONVERTER_H

#include <cstdlib>
#include <cstdio>
#include <vector>
#include "pixel.h"

using namespace std;

#define MAGIC_NUMBER "P3"

extern int scene_width;
extern int scene_height;

class PPMConverter
{
  public:
    FILE *out;
    
    PPMConverter(const char *fname);
    int writeFile(vector<Pixel*> *pixels);
    int finish();
};

#endif
    
