#ifndef _RAYTRACE_H
#define _RAYTRACE_H

using namespace std;

#include <vector>

#include "ray.h"
#include "pixel.h"
#include "sphere.h"
#include "light.h"
#include "plane.h"

#define REFLECT_DEPTH 5

extern int stages;

extern vector<Sphere*> spheres;
extern vector<Plane*> planes;
extern vector<Light*> lights;
extern vector<Pixel*> pixels;
extern vector<Ray*> startingRays;

Pixel *raytrace(Ray *ray);

#endif
