#ifndef _SPHERE_H
#define _SPHERE_H

#include "vertex.h"
#include "ray.h"
#include "pixel.h"
#include "material.h"

class Sphere
{  
  public:
    Vertex *center;
    Material *material;
    double radius;
  
    Sphere(double x, double y, double z, double r);
    Sphere(double x, double y, double z, double r,
           double dr, double dg, double db,
           double sr, double sg, double sb,
           double ac, double dc, double sc, double ruff, double ref);
    ~Sphere();
    Vertex *intersects(Ray *ray);
};

#endif
