#ifndef _PARSE_COMMAND_LINE
#define _PARSE_COMMAND_LINE

#include <string>

#define STAGES_1 "-stages=1"
#define STAGES_2 "-stages=2"
#define STAGES_3 "-stages=3"
#define STAGES_4 "-stages=4"
#define WIDTH    "-width"
#define HEIGHT   "-height"
#define IN       "-in"
#define OUT      "-out"

using namespace std;

extern int scene_width;
extern int scene_height;
extern int stages;
extern string in_file;
extern string out_file;

void parse_commandLine(int argc, char **argv);
void print_usage();

#endif
