#ifndef _PHONG_H
#define _PHONG_H

using namespace std;

#include "ray.h"
#include "light.h"
#include "intersection.h"

#include <vector>

extern vector<Sphere*> spheres;
extern vector<Plane*> planes;
extern vector<Light*> lights;

void getPhongColors(int objType, void *object, Ray *ray, double rgb[3], double ix, double iy, double iz);
void getPhongColors_withShadows(int objType, void *object, Ray *ray, double rgb[3], double ix, double iy, double iz);
bool isObstructed(Ray* ray, double ix, double iy, double iz, double distance_to_light, Light *light);
#endif
