#include "pixel2world.h"

double pixel2world_x(int x)
{
  double x_i = ((double)x - ((scene_width-1)/2.0))/(scene_width/2.0);
  double r = (double)scene_width/scene_height;
  double l = (double)-scene_width/scene_height;
  double top = (-r-l)/(r-l);
  double bottom = 2.0f/(r-l);
  
  return (x_i - top)/bottom;
}

double pixel2world_y(int y)
{
  double y_i = ((double)y - ((scene_height-1)/2.0))/(scene_height/2.0);
  double t = 1.0f;
  double b = -1.0f;
  double top = (-t-b)/(t-b);
  double bottom = 2.0f/(t-b);

  return ((y_i - top)/bottom);
}
