#ifndef _POVRAY_H
#define _POVRAY_H

using namespace std;

#include <cstdlib>
#include <vector>

#include "sphere.h"
#include "plane.h"
#include "light.h"

extern vector<Sphere*> spheres;
extern vector<Plane*> planes;
extern vector<Light*> lights;

class POVRAYParser
{
  public:
    FILE *file;
    double camx, camy, camz;
    double lax, lay, laz;
    
    POVRAYParser(const char *fname);
    int parseFile();
    int finish();
};

#endif

